Subject: Re: bug#62700: 29.0.60; minibuffer-{previous,next,choose}-completion behave unintuitively when point is not at end of buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Apr 2023 09:13:18 +0300

> From: [email-masked]
> Date: Sat, 22 Apr 2023 21:38:52 +0000 (UTC)
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> > I asked for the changes to affect only code specific to M-<UP> and
> > M-<DOWN>, but the patch you posted doesn't limit itself to that,
> > AFAICT.  Or what am I missing?
> 
> Ah, I didn't realize that was what you were asking for.  I can do that,
> certainly, but why not also cover M-RET?  The bug exists in the exact
> same form for M-RET and it will be confusing (though better than
> nothing, definitely) if the fix applies to M-<UP> and M-<DOWN> but not
> M-RET.

If the issue exists for M-RET, then fixing that case as well is okay.
The request was not to affect any code that handles also other
situation and other keys.